package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;
import java.util.List;

public class GetKnowledgeChunkInfoRequest extends AbstractRequest<GetKnowledgeChunkInfoResult> implements Serializable {

    private List<String> knowledgeIds;

    private String query;

    public List<String> getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(List<String> knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
